#
# spec file for package perl-Text-Autoformat
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Text-Autoformat
Version:        1.75
Release:        1.21
%define cpan_name Text-Autoformat
Summary:        Automatic text wrapping and reformatting
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/N/NE/NEILB/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Text::Reform)
Requires:       perl(Text::Reform)
%{perl_requires}

%description
Automatic text wrapping and reformatting

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f ! -name \*.pl -print0 | xargs -0 chmod 644

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes config.emacs config.vim README
%license LICENSE

%changelog
* Wed Aug 14 2019 Stephan Kulow <coolo@suse.com>
- updated to 1.75
  see /usr/share/doc/packages/perl-Text-Autoformat/Changes
  1.75 2019-08-13 NEILB
  - Correctly handle lists with "0" on the end of them to preserve
    the "0" rather than dropping it
* Sun Nov 29 2015 coolo@suse.com
- updated to 1.74
  see /usr/share/doc/packages/perl-Text-Autoformat/Changes
  1.74 2015-11-28 NEILB
  - On Perl 5.22+ you could get "Negative repeat count does nothing"
    warnings. Thanks to SREZIC for RT#109838.
  - Made the mention of Text::Reform in SEE ALSO be a link.
    Thanks to MANWAR for the PR doing this.
  - Added some more entries to SEE ALSO.
* Mon Nov  9 2015 coolo@suse.com
- updated to 1.73
  see /usr/share/doc/packages/perl-Text-Autoformat/Changes
  1.73 2015-11-08 NEILB
  - Fixed warnings about uninitialized values in Hang.pm GH#4.
    Thanks to Jeremy Mates for the PR.
  - Changed github repo URL after changing my github username
* Mon Jun 15 2015 coolo@suse.com
- updated to 1.72
  see /usr/share/doc/packages/perl-Text-Autoformat/Changes
  1.72 2015-06-14 NEILB
  - Switched to Dist::Zilla, dropping both Build.PL and Makefile.PL -- phew!
  - Refactored the two cuckoo packages into separate modules,
    Text::Autoformat::Hang and Text::Autoformat::NullHang.
  1.71_01 2015-06-06 NEILB
  - The changes released in 1.72 (above) were first done in a
    developer release.
* Tue May  5 2015 coolo@suse.com
- updated to 1.71
  see /usr/share/doc/packages/perl-Text-Autoformat/Changes
  1.71 2015-05-04 NEILB
  - Previous release had a problem with PAUSE, caused by the two internal
    packages not having a $VERSION. Identified and reported as PAUSE
    issue GH#170 by KENTNL++. Added $VERSION to internal packages.
* Sat May  2 2015 coolo@suse.com
- updated to 1.70
  see /usr/share/doc/packages/perl-Text-Autoformat/Changes
  1.70 2015-05-01 NEILB
  - Removed useless loading of utf8 and Data::Dumper. RJBS++
  - Only renumber ASCII-digit lists, don't touch other \d things. RJBS++
  1.69_01 2015-04-25 NEILB
  - This was a developer release containing the changes subsequently
    released in 1.70 (see above).
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.69
  see /usr/share/doc/packages/perl-Text-Autoformat/Changes
* Tue Dec  6 2011 coolo@suse.com
- license is perl license
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Tue Jul 27 2010 chris@computersalat.de
- update to 1.669002
  - Patched missing case in 'ignore' option handling (thanks Alan)
- 1.669001  Fri May 28 07:38:36 2010
  - Added major improvements to the 'ignore' option (thanks Dan!)
- 1.668001  Sat Apr  3 15:38:55 2010
  - Removed spurious debugging statement in bad Pod. (Thanks Chris)
- 1.666.0  Fri Apr 17 08:00:36 2009
  - No changes logged
  1.14.0  Sun Sep 30 04:29:29 2007
  - Fixed bug in handling empty mail messages
  - Fixed bug in handling sig delimiters
  - Fixed bug in paragraph ignoring code (thanks Rob)
  - Fixed bug in handling whitespace-only input (thanks Ed)
  - Fixed bug in Roman numerals (thanks Suresh)
  - Fixed overeager autocentering (thanks Suresh)
  - Enhanced 'lists' option to allow only specific types of lists
    to be recognized (thanks Rob)
  - Fixed bug in numbered hangs (thanks Rob)
  - Fixed bug in Roman numeraled hangs (thanks Rob)
  - Fixed misidentification of 8:20-style times as leading numbers (thanks
    Rob)
  - Fixed sentence mode (thanks Eric)
  - Changed licence to "same terms as Perl itself" to improve Fedora
    compatibility
- recreated by cpanspec 1.78
- noarch pkg
* Thu Mar  4 2010 chris@computersalat.de
- cleanup spec
  o sort TAGS
  o fix deps
  o fix order of install macros
* Thu Jan  7 2010 jengelh@medozas.de
- get rid of the arch-specific junk and use perl_gen_filelist
  instead (otherwise, there is always an unpackaged .packlist
  on non-x86)
* Thu Aug  6 2009 coolo@novell.com
- initial package
